
set( novaddt_VERSION 03.01.02 )
set( novaddt_UPS_VERSION v03_01_02 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################


## find_ups_product directives
## remember that these are minimum required versions
    find_ups_product( artdaq_core v1_03_03 )
  find_ups_boost( v1_53_0 )
    find_ups_product( art v1_08_10 )
    find_ups_product( cppunit v1_12_1a )
    find_ups_product( gccxml v0_9_20140718a )
    find_ups_product( clhep v2_2_0_3 )
    find_ups_product( cetpkgsupport v1_08_03 )
    find_ups_product( cetlib v1_08_00 )
    find_ups_product( cpp0x v1_03_02 )
    find_ups_product( fhiclcpp v3_04_00 )
    find_ups_product( sqlite v3_07_15_00 )
    find_ups_product( messagefacility v1_14_01 )
  find_ups_root( v5_34_20 )
    find_ups_product( tbb v4_1 )
    find_ups_product( novadaq v03_00_08 )
    find_ups_product( postgresql v9_1_5b )
    find_ups_product( xerces_c v3_1_1b )
    find_ups_product( libwda v2_7_0 )


## find_library directives
    if( NOT SQLITE3 )
      cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT CLHEP )
      cet_find_library( CLHEP NAMES CLHEP PATHS ENV CLHEP_LIB_DIR NO_DEFAULT_PATH )
    endif()
    if( NOT CPPUNIT )
      cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT DATABASEUTILS )
      cet_find_library( DATABASEUTILS NAMES DatabaseUtils PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT DATABASEUTILSDAQAPPMGR )
      cet_find_library( DATABASEUTILSDAQAPPMGR NAMES DatabaseUtilsDAQAppMgr PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT DATABASEUTILSDAQCONFIG )
      cet_find_library( DATABASEUTILSDAQCONFIG NAMES DatabaseUtilsDAQConfig PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT DATABASEUTILSDCS )
      cet_find_library( DATABASEUTILSDCS NAMES DatabaseUtilsDCS PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT DATABASEUTILSRUNHISTORY )
      cet_find_library( DATABASEUTILSRUNHISTORY NAMES DatabaseUtilsRunHistory PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT DAQCHANNELMAP )
      cet_find_library( DAQCHANNELMAP NAMES DAQChannelMap PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT DAQDATAFORMATS )
      cet_find_library( DAQDATAFORMATS NAMES DAQDataFormats PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT DAQQUALITYCHECK )
      cet_find_library( DAQQUALITYCHECK NAMES DAQQualityCheck PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT EVENTDISPATCHER_COMMANDSET )
      cet_find_library( EVENTDISPATCHER_COMMANDSET NAMES EventDispatcher_CommandSet PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT NOVADATABASE )
      cet_find_library( NOVADATABASE NAMES NovaDatabase PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT NOVADAQUTILITIES )
      cet_find_library( NOVADAQUTILITIES NAMES NovaDAQUtilities PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT NOVATIMINGUTILITIES )
      cet_find_library( NOVATIMINGUTILITIES NAMES NovaTimingUtilities PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT PACKAGEVERSION )
      cet_find_library( PACKAGEVERSION NAMES PackageVersion PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT RAWFILEPARSER )
      cet_find_library( RAWFILEPARSER NAMES RawFileParser PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT SHMRDWR )
      cet_find_library( SHMRDWR NAMES ShmRdWr PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT SHMMILLIBLOCK )
      cet_find_library( SHMMILLIBLOCK NAMES ShmMilliBlock PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    endif()
    cet_find_library( ACTIVITYTRIGGERANA_MODULE NAMES ActivityTriggerAna_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( TRICELLTRIGGERANA_MODULE NAMES TriCellTriggerAna_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( ACTIVITYTRIGGER_MODULE NAMES ActivityTrigger_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( TRICELLTRIGGER_MODULE NAMES TriCellTrigger_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( FEBOVERFLOWTRIGGER_MODULE NAMES FEBOverflowTrigger_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( DDTBASEDATAPRODUCTS NAMES DDTBaseDataProducts PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( DDTBASEDATAPRODUCTS_DICT NAMES DDTBaseDataProducts_dict PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( DDTCORE NAMES DDTCore PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( WAVEFORMPROCESSOR_SERVICE NAMES WaveformProcessor_service PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( NOVAFRAGMENTREADER_GENERATOR NAMES NovaFragmentReader_generator PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( NOVAFRAGMENTFILEREADER_GENERATOR NAMES NovaFragmentFileReader_generator PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( NOVADDT_SOURCE NAMES NovaDDT_source PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( NOVADDTHITPRODUCER_MODULE NAMES NovaDDTHitProducer_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( DDTCORE_NOVADDTTRIGGER_MODULE NAMES DDTCore_NovaDDTTrigger_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( NOVADDTRAWINPUTSOURCE_SOURCE NAMES NovaDDTRawInputSource_source PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( EVALUATION_MODULE NAMES Evaluation_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( GHLTEST_MODULE NAMES GHLTest_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( MILLIBLOCKCHECKING_MODULE NAMES MilliBlockChecking_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( DDTSTREAMER_MODULE NAMES DDTStreamer_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( DDTDEMO_MODULE NAMES DDTDemo_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( SLICEPRESCALE_MODULE NAMES SlicePrescale_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( EVENTPRESCALE_MODULE NAMES EventPrescale_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( DDTUTILITIESFUNC NAMES DDTUtilitiesFunc PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( SNANA_MODULE NAMES SNAna_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( SLOWMMTRIGGER_MODULE NAMES SlowMMTrigger_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( HIGHETRIGGER_MODULE NAMES HighETrigger_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( UPMUTRIGGER_MODULE NAMES UpMuTrigger_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( FASTMMTRIGGER_MODULE NAMES FastMMTrigger_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( DBSLICER_MODULE NAMES DBSlicer_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( REMOVENOISE_MODULE NAMES RemoveNoise_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( SINGLETONREJECTION_MODULE NAMES SingletonRejection_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( SPACESLICE_MODULE NAMES SpaceSlice_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( TIMESLICE_MODULE NAMES TimeSlice_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( FEBFLASHFILTER_MODULE NAMES FEBFlashFilter_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( SINGLETONREJECTIONANA_MODULE NAMES SingletonRejectionAna_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( TDSLICE_MODULE NAMES TDSlice_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( HIGHADCFILTER_MODULE NAMES HighADCFilter_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( RESTRICTHITSBYPLANE_MODULE NAMES RestrictHitsByPlane_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( TIMEDCMSLICE_MODULE NAMES TimeDCMSlice_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( REMOVEONEDSLICES_MODULE NAMES RemoveOneDSlices_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( REMOVESPATIALNOISE_MODULE NAMES RemoveSpatialNoise_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( MULTIPLET_MODULE NAMES Multiplet_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( DCMSLICE_MODULE NAMES DCMSlice_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( SORTBYDCM_MODULE NAMES SortByDCM_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( HIGHSORTBYTDC_MODULE NAMES HighSortByTDC_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( SORTBYTDC_MODULE NAMES SortByTDC_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( SORTBYVIEW_MODULE NAMES SortByView_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( SORTBYPLANE_MODULE NAMES SortByPlane_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( NUESELECT_MODULE NAMES NuESelect_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( CLUSTERANA_MODULE NAMES ClusterAna_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( NUMUTRIGGER_MODULE NAMES NuMuTrigger_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( UPMUTESTTRIGGER_MODULE NAMES UpMuTestTrigger_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( CONTAINEDSLICE_MODULE NAMES ContainedSlice_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( PATREC NAMES PatRec PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( CLUSTERER_MODULE NAMES Clusterer_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( DDTTRACKMERGE_MODULE NAMES DDTTrackMerge_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( HOUGHTRACKER_MODULE NAMES HoughTracker_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( MERGE2DTRACKS_MODULE NAMES Merge2DTracks_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( SLICER3D_MODULE NAMES Slicer3D_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( SLOWMONOPOLETRIGGER NAMES SlowMonopoleTrigger PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( SLOWMONOPOLETRIGGER_MODULE NAMES SlowMonopoleTrigger_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( RATEMONITOR_MODULE NAMES RateMonitor_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )
    cet_find_library( TRACKFIT_MODULE NAMES TrackFit_module PATHS ENV NOVADDT_LIB NO_DEFAULT_PATH )

check_required_components(novaddt)
